PDFNames (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.pdf

## Class PDFNames

- java.lang.Object
- - org.apache.fop.pdf.PDFObject
  - - org.apache.fop.pdf.PDFDictionary
    - - org.apache.fop.pdf.PDFNames

- All Implemented Interfaces:
    PDFWritable

      public class PDFNames
      extends PDFDictionary

  Class representing a PDF Names object

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.pdf.PDFDictionary

      `entries, order`

    - ### Fields inherited from class org.apache.fop.pdf.PDFObject

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFNames()` Create the Names object

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PDFDests` | `getDests()` Returns the Dests object
    `PDFEmbeddedFiles` | `getEmbeddedFiles()` Returns the EmbeddedFiles object
    `void` | `setDests(PDFDests dests)` Set the Dests object
    `void` | `setEmbeddedFiles(PDFEmbeddedFiles embeddedFiles)` Set the EmbeddedFiles object

    - ### Methods inherited from class org.apache.fop.pdf.PDFDictionary

      `containsKey, get, getChildren, getChildren, keySet, output, put, put, remove, writeDictionary`

    - ### Methods inherited from class org.apache.fop.pdf.PDFObject

      `contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, supportsObjectStream, toPDF, toPDFString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFNames

          public PDFNames()

      Create the Names object

  - ### Method Detail

    - #### getDests

          public PDFDests getDests()

      Returns the Dests object
      Returns:
        the Dests object, or null if it's not used

    - #### setDests

          public void setDests(PDFDests dests)

      Set the Dests object
      Parameters:
        `dests` - the Dests object

    - #### getEmbeddedFiles

          public PDFEmbeddedFiles getEmbeddedFiles()

      Returns the EmbeddedFiles object
      Returns:
        the EmbeddedFiles object, or null if it's not used

    - #### setEmbeddedFiles

          public void setEmbeddedFiles(PDFEmbeddedFiles embeddedFiles)

      Set the EmbeddedFiles object
      Parameters:
        `embeddedFiles` - the EmbeddedFiles object

Copyright © 2025 Apache Software Foundation. All rights reserved.